### Method

# Camel Session forward_to_sync

since: 3.6

#### Declaration [src]

    gboolean
    camel_session_forward_to_sync (
      CamelSession* session,
      CamelFolder* folder,
      CamelMimeMessage* message,
      const gchar* address,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Forwards `message` in `folder` to the email address(es) given by `address`.

If an error occurs, the function sets `error` and returns `FALSE`.

Available since: 3.6

#### Parameters

`folder`

  Type: `CamelFolder`

  The `CamelFolder` where `message` is located.

  The data is owned by the caller of the method.

`message`

  Type: `CamelMimeMessage`

  The `CamelMimeMessage` to forward.

  The data is owned by the caller of the method.

`address`

  Type: `const gchar*`

  The recipient’s email address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.